CREATE SCHEMA IF NOT EXISTS `statexplorer`;

CREATE TABLE IF NOT EXISTS `asterisk`.`cel` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `eventtype` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `eventtime` datetime NOT NULL,
  `cid_name` varchar(80) COLLATE utf8_unicode_ci NOT NULL,
  `cid_num` varchar(80) COLLATE utf8_unicode_ci NOT NULL,
  `cid_ani` varchar(80) COLLATE utf8_unicode_ci NOT NULL,
  `cid_rdnis` varchar(80) COLLATE utf8_unicode_ci NOT NULL,
  `cid_dnid` varchar(80) COLLATE utf8_unicode_ci NOT NULL,
  `exten` varchar(80) COLLATE utf8_unicode_ci NOT NULL,
  `context` varchar(80) COLLATE utf8_unicode_ci NOT NULL,
  `channame` varchar(80) COLLATE utf8_unicode_ci NOT NULL,
  `appname` varchar(80) COLLATE utf8_unicode_ci NOT NULL,
  `appdata` varchar(80) COLLATE utf8_unicode_ci NOT NULL,
  `amaflags` int(11) NOT NULL,
  `uniqueid` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `linkedid` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `peer` varchar(80) COLLATE utf8_unicode_ci NOT NULL,
  `eventextra` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `userfield` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `accountcode` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `peeraccountcode` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `traite` tinyint(1) NOT NULL DEFAULT '0',
  `extra` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uniqueid_index` (`uniqueid`),
  KEY `linkedid_index` (`linkedid`),
  KEY `traite_index` (`traite`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


CREATE TABLE IF NOT EXISTS `statexplorer`.`agentevents` (
  `date` int(11) NOT NULL,
  `agent` varchar(255) NOT NULL,
  `queue` varchar(45) NOT NULL,
  `event` varchar(45) NOT NULL,
  PRIMARY KEY (`date`,`agent`,`queue`,`event`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `statexplorer`.`agentsessions` (
  `agent` varchar(255) NOT NULL,
  `queue` varchar(255) NOT NULL,
  `begin` int(11) NOT NULL DEFAULT '0',
  `end` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`agent`,`queue`,`begin`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `statexplorer`.`agentpauses` (
  `agent` varchar(255) NOT NULL,
  `queue` varchar(255) NOT NULL,
  `begin` int(11) NOT NULL DEFAULT '0',
  `end` int(11) NOT NULL DEFAULT '0',
  `reason` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`agent`,`queue`,`begin`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `statexplorer`.`queuecalls` (
  `queue` varchar(45) NOT NULL,
  `linkedid` varchar(255) NOT NULL,
  `date` datetime NOT NULL DEFAULT '2001-01-01 00:00:00',
  `holdtime` int(11) NOT NULL DEFAULT '0',
  `calltime` int(11) NOT NULL DEFAULT '0',
  `position` int(11) NOT NULL DEFAULT '0',
  `disposition` varchar(20) NOT NULL DEFAULT '',
  `agent` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`queue`,`linkedid`,`date`),
  KEY `index-linkedid` (`linkedid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `statexplorer`.`agentcalls` (
  `date` DATETIME NOT NULL,
  `agent` VARCHAR(255) NOT NULL,
  `linkedid` VARCHAR(255) NOT NULL,
  `ringtime` INT NOT NULL DEFAULT 0,
  `calltime` INT NOT NULL DEFAULT 0,
  PRIMARY KEY (`date`, `agent`, `linkedid`),
  KEY `index-linkedid` (`linkedid`))
ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `statexplorer`.`calls` (
  `linkedid` varchar(30) NOT NULL,
  `date` int(11) NOT NULL,
  `type` int(11) NOT NULL,
  `answered` tinyint(1) NOT NULL,
  `extension` varchar(80) NOT NULL,
  `number` varchar(80) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `did` varchar(80) NOT NULL DEFAULT '',
  `accountcode` varchar(80) NOT NULL,
  `ringtime` int(11) NOT NULL,
  `talktime` int(11) NOT NULL,
  `xfernumber` varchar(80) NOT NULL,
  `xfertime` int(11) NOT NULL,
  `pickedup` tinyint(1) NOT NULL,
  `recfile` varchar(10000) NOT NULL,
  PRIMARY KEY (`linkedid`),
  KEY `index_date` (`date`),
  KEY `index_date_type` (`date`,`type`),
  KEY `index_date_did` (`date`,`did`),
  KEY `index_date_accountcode` (`date`,`accountcode`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `statexplorer`.`devices` (
  `device` VARCHAR(255) NOT NULL,
  PRIMARY KEY (`device`))
ENGINE = InnoDB;


CREATE TABLE IF NOT EXISTS `statexplorer`.`countrycodes` (
  `iso3` varchar(5) NOT NULL,
  `country` varchar(255) NOT NULL,
  `code` varchar(10) NOT NULL,
  PRIMARY KEY (`iso3`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

TRUNCATE TABLE `statexplorer`.`countrycodes`;

INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('AFG', 'Afghanistan', '93');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ALB', 'Albania', '355');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('DZA', 'Algeria', '213');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ASM', 'American Samoa', '1684');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('AND', 'Andorra', '376');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('AGO', 'Angola', '244');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('AIA', 'Anguilla', '1264');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ATA', 'Antarctica', '672');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ATG', 'Antigua and Barbuda', '1268');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ARG', 'Argentina', '54');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ARM', 'Armenia', '374');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ABW', 'Aruba', '297');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('AUS', 'Australia', '61');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('AUT', 'Austria', '43');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('AZE', 'Azerbaijan', '994');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BHS', 'Bahamas', '1242');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BHR', 'Bahrain', '973');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BGD', 'Bangladesh', '880');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BRB', 'Barbados', '1246');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BLR', 'Belarus', '375');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BEL', 'Belgium', '32');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BLZ', 'Belize', '501');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BEN', 'Benin', '229');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BMU', 'Bermuda', '1441');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BTN', 'Bhutan', '975');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BOL', 'Bolivia', '591');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BIH', 'Bosnia and Herzegovina', '387');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BWA', 'Botswana', '267');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BRA', 'Brazil', '55');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('IOT', 'British Indian Ocean Territory', '246');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('VGB', 'British Virgin Islands', '1284');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BRN', 'Brunei', '673');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BGR', 'Bulgaria', '359');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BFA', 'Burkina Faso', '226');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BDI', 'Burundi', '257');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('KHM', 'Cambodia', '855');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CMR', 'Cameroon', '237');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CAN', 'Canada', '1');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CPV', 'Cape Verde', '238');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CYM', 'Cayman Islands', '1345');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CAF', 'Central African Republic', '236');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('TCD', 'Chad', '235');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CHL', 'Chile', '56');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CHN', 'China', '86');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CXR', 'Christmas Island', '61');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CCK', 'Cocos Islands', '61');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('COL', 'Colombia', '57');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('COM', 'Comoros', '269');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('COK', 'Cook Islands', '682');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CRI', 'Costa Rica', '506');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('HRV', 'Croatia', '385');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CUB', 'Cuba', '53');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CUW', 'Curacao', '599');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CYP', 'Cyprus', '357');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CZE', 'Czech Republic', '420');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('COD', 'Democratic Republic of the Congo', '243');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('DNK', 'Denmark', '45');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('DJI', 'Djibouti', '253');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('DMA', 'Dominica', '1767');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('DOM', 'Dominican Republic', '1809');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('TLS', 'East Timor', '670');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ECU', 'Ecuador', '593');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('EGY', 'Egypt', '20');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SLV', 'El Salvador', '503');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GNQ', 'Equatorial Guinea', '240');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ERI', 'Eritrea', '291');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('EST', 'Estonia', '372');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ETH', 'Ethiopia', '251');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('FLK', 'Falkland Islands', '500');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('FRO', 'Faroe Islands', '298');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('FJI', 'Fiji', '679');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('FIN', 'Finland', '358');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('FRA', 'France', '33');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('PYF', 'French Polynesia', '689');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GAB', 'Gabon', '241');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GMB', 'Gambia', '220');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GEO', 'Georgia', '995');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('DEU', 'Germany', '49');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GHA', 'Ghana', '233');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GIB', 'Gibraltar', '350');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GRC', 'Greece', '30');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GRL', 'Greenland', '299');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GRD', 'Grenada', '1473');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GUM', 'Guam', '1671');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GTM', 'Guatemala', '502');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GGY', 'Guernsey', '441481');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GIN', 'Guinea', '224');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GNB', 'Guinea-Bissau', '245');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GUY', 'Guyana', '592');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('HTI', 'Haiti', '509');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('HND', 'Honduras', '504');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('HKG', 'Hong Kong', '852');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('HUN', 'Hungary', '36');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ISL', 'Iceland', '354');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('IND', 'India', '91');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('IDN', 'Indonesia', '62');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('IRN', 'Iran', '98');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('IRQ', 'Iraq', '964');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('IRL', 'Ireland', '353');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('IMN', 'Isle of Man', '441624');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ISR', 'Israel', '972');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ITA', 'Italy', '39');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CIV', 'Ivory Coast', '225');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('JAM', 'Jamaica', '1876');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('JPN', 'Japan', '81');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('JEY', 'Jersey', '441534');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('JOR', 'Jordan', '962');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('KAZ', 'Kazakhstan', '7');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('KEN', 'Kenya', '254');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('KIR', 'Kiribati', '686');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('XKX', 'Kosovo', '383');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('KWT', 'Kuwait', '965');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('KGZ', 'Kyrgyzstan', '996');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('LAO', 'Laos', '856');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('LVA', 'Latvia', '371');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('LBN', 'Lebanon', '961');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('LSO', 'Lesotho', '266');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('LBR', 'Liberia', '231');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('LBY', 'Libya', '218');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('LIE', 'Liechtenstein', '423');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('LTU', 'Lithuania', '370');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('LUX', 'Luxembourg', '352');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MAC', 'Macau', '853');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MKD', 'Macedonia', '389');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MDG', 'Madagascar', '261');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MWI', 'Malawi', '265');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MYS', 'Malaysia', '60');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MDV', 'Maldives', '960');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MLI', 'Mali', '223');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MLT', 'Malta', '356');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MHL', 'Marshall Islands', '692');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MRT', 'Mauritania', '222');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MUS', 'Mauritius', '230');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MYT', 'Mayotte', '262');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MEX', 'Mexico', '52');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('FSM', 'Micronesia', '691');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MDA', 'Moldova', '373');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MCO', 'Monaco', '377');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MNG', 'Mongolia', '976');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MNE', 'Montenegro', '382');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MSR', 'Montserrat', '1664');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MAR', 'Morocco', '212');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MOZ', 'Mozambique', '258');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MMR', 'Myanmar', '95');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('NAM', 'Namibia', '264');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('NRU', 'Nauru', '674');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('NPL', 'Nepal', '977');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('NLD', 'Netherlands', '31');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ANT', 'Netherlands Antilles', '599');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('NCL', 'New Caledonia', '687');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('NZL', 'New Zealand', '64');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('NIC', 'Nicaragua', '505');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('NER', 'Niger', '227');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('NGA', 'Nigeria', '234');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('NIU', 'Niue', '683');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('PRK', 'North Korea', '850');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MNP', 'Northern Mariana Islands', '1670');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('NOR', 'Norway', '47');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('OMN', 'Oman', '968');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('PAK', 'Pakistan', '92');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('PLW', 'Palau', '680');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('PSE', 'Palestine', '970');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('PAN', 'Panama', '507');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('PNG', 'Papua New Guinea', '675');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('PRY', 'Paraguay', '595');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('PER', 'Peru', '51');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('PHL', 'Philippines', '63');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('PCN', 'Pitcairn', '64');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('POL', 'Poland', '48');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('PRT', 'Portugal', '351');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('PRI', 'Puerto Rico', '1787, 1939');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('QAT', 'Qatar', '974');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('COG', 'Republic of the Congo', '242');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('REU', 'Reunion', '262');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ROU', 'Romania', '40');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('RUS', 'Russia', '7');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('RWA', 'Rwanda', '250');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('BLM', 'Saint Barthelemy', '590');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SHN', 'Saint Helena', '290');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('KNA', 'Saint Kitts and Nevis', '1869');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('LCA', 'Saint Lucia', '1758');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('MAF', 'Saint Martin', '590');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SPM', 'Saint Pierre and Miquelon', '508');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('VCT', 'Saint Vincent and the Grenadines', '1784');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('WSM', 'Samoa', '685');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SMR', 'San Marino', '378');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('STP', 'Sao Tome and Principe', '239');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SAU', 'Saudi Arabia', '966');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SEN', 'Senegal', '221');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SRB', 'Serbia', '381');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SYC', 'Seychelles', '248');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SLE', 'Sierra Leone', '232');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SGP', 'Singapore', '65');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SXM', 'Sint Maarten', '1721');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SVK', 'Slovakia', '421');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SVN', 'Slovenia', '386');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SLB', 'Solomon Islands', '677');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SOM', 'Somalia', '252');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ZAF', 'South Africa', '27');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('KOR', 'South Korea', '82');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SSD', 'South Sudan', '211');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ESP', 'Spain', '34');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('LKA', 'Sri Lanka', '94');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SDN', 'Sudan', '249');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SUR', 'Suriname', '597');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SJM', 'Svalbard and Jan Mayen', '47');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SWZ', 'Swaziland', '268');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SWE', 'Sweden', '46');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('CHE', 'Switzerland', '41');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('SYR', 'Syria', '963');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('TWN', 'Taiwan', '886');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('TJK', 'Tajikistan', '992');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('TZA', 'Tanzania', '255');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('THA', 'Thailand', '66');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('TGO', 'Togo', '228');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('TKL', 'Tokelau', '690');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('TON', 'Tonga', '676');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('TTO', 'Trinidad and Tobago', '1868');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('TUN', 'Tunisia', '216');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('TUR', 'Turkey', '90');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('TKM', 'Turkmenistan', '993');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('TCA', 'Turks and Caicos Islands', '1649');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('TUV', 'Tuvalu', '688');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('VIR', 'U.S. Virgin Islands', '1340');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('UGA', 'Uganda', '256');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('UKR', 'Ukraine', '380');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ARE', 'United Arab Emirates', '971');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('GBR', 'United Kingdom', '44');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('USA', 'United States', '1');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('URY', 'Uruguay', '598');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('UZB', 'Uzbekistan', '998');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('VUT', 'Vanuatu', '678');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('VAT', 'Vatican', '379');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('VEN', 'Venezuela', '58');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('VNM', 'Vietnam', '84');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('WLF', 'Wallis and Futuna', '681');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ESH', 'Western Sahara', '212');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('YEM', 'Yemen', '967');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ZMB', 'Zambia', '260');
INSERT INTO `statexplorer`.`countrycodes` (`iso3`, `country`, `code`) VALUES ('ZWE', 'Zimbabwe', '263');


CREATE TABLE IF NOT EXISTS `statexplorer`.`users` (
  `id` VARCHAR(45) NOT NULL,
  `login` varchar(45) NOT NULL,
  `password` varchar(45) NOT NULL,
  `isadmin` tinyint(1) NOT NULL DEFAULT '1',
  `token` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

INSERT INTO `statexplorer`.`users`(`id`, `login`, `password`) VALUES ('1', 'admin', md5('admin')) ON DUPLICATE KEY UPDATE `login`='admin', `password`=md5('admin');


GRANT ALL ON `asterisk`.`cdr` TO 'statexplorer'@'localhost' IDENTIFIED BY 'sd54zrf65434swv4';
GRANT ALL ON `asterisk`.`cdr` TO 'statexplorer'@'127.0.0.1' IDENTIFIED BY 'sd54zrf65434swv4';
GRANT ALL ON `asterisk`.`cdr` TO 'statexplorer'@'::1' IDENTIFIED BY 'sd54zrf65434swv4';
GRANT ALL ON `asterisk`.`cdr` TO 'statexplorer'@'%' IDENTIFIED BY 'sd54zrf65434swv4';
GRANT ALL ON `asterisk`.`cel` TO 'statexplorer'@'localhost' IDENTIFIED BY 'sd54zrf65434swv4';
GRANT ALL ON `asterisk`.`cel` TO 'statexplorer'@'127.0.0.1' IDENTIFIED BY 'sd54zrf65434swv4';
GRANT ALL ON `asterisk`.`cel` TO 'statexplorer'@'::1' IDENTIFIED BY 'sd54zrf65434swv4';
GRANT ALL ON `asterisk`.`cel` TO 'statexplorer'@'%' IDENTIFIED BY 'sd54zrf65434swv4';
GRANT ALL ON `statexplorer`.* TO 'statexplorer'@'localhost' IDENTIFIED BY 'sd54zrf65434swv4';
GRANT ALL ON `statexplorer`.* TO 'statexplorer'@'127.0.0.1' IDENTIFIED BY 'sd54zrf65434swv4';
GRANT ALL ON `statexplorer`.* TO 'statexplorer'@'::1' IDENTIFIED BY 'sd54zrf65434swv4';
GRANT ALL ON `statexplorer`.* TO 'statexplorer'@'%' IDENTIFIED BY 'sd54zrf65434swv4';
FLUSH PRIVILEGES;