use statexplorer;

SET @dbname = "statexplorer";
SET @tablename = "users";
SET @columnname = "theme";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 1 FROM DUAL WHERE false",
  CONCAT("ALTER TABLE ", @tablename, " ADD ", @columnname, " VARCHAR(45) NOT NULL DEFAULT 'darktheme' AFTER `weekstartmonday`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;


CREATE TABLE IF NOT EXISTS `statexplorer`.`settings` (
  `setting` VARCHAR(255) NOT NULL,
  `value` TEXT NOT NULL,
  PRIMARY KEY (`setting`))
ENGINE = InnoDB;

INSERT INTO `statexplorer`.`settings` (`setting`, `value`) VALUES ('EXTERNAL_NUMBER_MIN_SIZE', '6') ON DUPLICATE KEY UPDATE setting=setting;
INSERT INTO `statexplorer`.`settings` (`setting`, `value`) VALUES ('DEFAULT_COUNTRY_ISO3_CODE', 'FRA') ON DUPLICATE KEY UPDATE setting=setting;
INSERT INTO `statexplorer`.`settings` (`setting`, `value`) VALUES ('DEFAULT_COUNTRY_PREFIX', '33') ON DUPLICATE KEY UPDATE setting=setting;
INSERT INTO `statexplorer`.`settings` (`setting`, `value`) VALUES ('DEFAULT_COUNTRY_NAME', 'France') ON DUPLICATE KEY UPDATE setting=setting;
