use statexplorer;

INSERT INTO `statexplorer`.`settings` (`setting`, `value`) VALUES ('DURATION_IN_SECONDS', '0') ON DUPLICATE KEY UPDATE `setting`='DURATION_IN_SECONDS';

ALTER TABLE `statexplorer`.`users` 
CHANGE COLUMN `login` `login` VARCHAR(45) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `password` `password` VARCHAR(45) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL DEFAULT ' ' ,
CHANGE COLUMN `theme` `theme` VARCHAR(45) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL DEFAULT 'darktheme' ,
CHARACTER SET = utf8 , COLLATE = utf8_unicode_ci ;

ALTER TABLE `statexplorer`.`queuecalls` 
CHANGE COLUMN `queue` `queue` VARCHAR(45) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `queuename` `queuename` VARCHAR(255) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL DEFAULT '' ,
CHANGE COLUMN `agent` `agent` VARCHAR(45) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL DEFAULT '' ,
CHARACTER SET = utf8 , COLLATE = utf8_unicode_ci ;

ALTER TABLE `statexplorer`.`filters` 
CHANGE COLUMN `name` `name` VARCHAR(255) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHARACTER SET = utf8 , COLLATE = utf8_unicode_ci ;

ALTER TABLE `statexplorer`.`devices` 
CHANGE COLUMN `device` `device` VARCHAR(255) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHARACTER SET = utf8 , COLLATE = utf8_unicode_ci ;

ALTER TABLE `statexplorer`.`debugdata` 
CHANGE COLUMN `debugdata` `debugdata` LONGTEXT CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHARACTER SET = utf8 , COLLATE = utf8_unicode_ci ;

ALTER TABLE `statexplorer`.`countrycodes` 
CHANGE COLUMN `iso3` `iso3` VARCHAR(5) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `country` `country` VARCHAR(255) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `code` `code` VARCHAR(50) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHARACTER SET = utf8 , COLLATE = utf8_unicode_ci ;

ALTER TABLE `statexplorer`.`calls` 
CHANGE COLUMN `extension` `extension` VARCHAR(80) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `extname` `extname` VARCHAR(255) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL DEFAULT '' ,
CHANGE COLUMN `number` `number` VARCHAR(80) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `name` `name` VARCHAR(255) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL DEFAULT '' ,
CHANGE COLUMN `did` `did` VARCHAR(80) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `didname` `didname` VARCHAR(255) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL DEFAULT '' ,
CHANGE COLUMN `accountcode` `accountcode` VARCHAR(80) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `xfernumber` `xfernumber` VARCHAR(80) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `xfername` `xfername` VARCHAR(255) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL DEFAULT '' ,
CHANGE COLUMN `trunk` `trunk` VARCHAR(80) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL DEFAULT '' ,
CHANGE COLUMN `recfile` `recfile` VARCHAR(10000) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHARACTER SET = utf8 , COLLATE = utf8_unicode_ci ;

ALTER TABLE `statexplorer`.`agentsessions` 
CHANGE COLUMN `agent` `agent` VARCHAR(100) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `queue` `queue` VARCHAR(50) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `queuename` `queuename` VARCHAR(255) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL DEFAULT '' ,
CHARACTER SET = utf8 , COLLATE = utf8_unicode_ci ;

ALTER TABLE `statexplorer`.`agentpauses` 
CHANGE COLUMN `agent` `agent` VARCHAR(100) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `queue` `queue` VARCHAR(50) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `queuename` `queuename` VARCHAR(255) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL DEFAULT '' ,
CHANGE COLUMN `reason` `reason` VARCHAR(255) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL DEFAULT '' ,
CHARACTER SET = utf8 , COLLATE = utf8_unicode_ci ;

ALTER TABLE `statexplorer`.`agentevents` 
CHANGE COLUMN `agent` `agent` VARCHAR(100) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `queue` `queue` VARCHAR(50) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `queuename` `queuename` VARCHAR(255) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL DEFAULT '' ,
CHANGE COLUMN `event` `event` VARCHAR(45) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHARACTER SET = utf8 , COLLATE = utf8_unicode_ci ;

ALTER TABLE `statexplorer`.`agentcalls` 
CHANGE COLUMN `agent` `agent` VARCHAR(100) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHANGE COLUMN `linkedid` `linkedid` VARCHAR(30) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL ,
CHARACTER SET = utf8 , COLLATE = utf8_unicode_ci ;

SET @dbname = "statexplorer";
SET @tablename = "calls";
SET @columnname = "xferrealdest";
SET @columntype = "VARCHAR(45)";
SET @columndefault = "NOT NULL DEFAULT ''";
SET @aftercolumn = "parktime";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 1 FROM DUAL WHERE false",
  CONCAT("ALTER TABLE ", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;


SET @dbname = "statexplorer";
SET @tablename = "calls";
SET @columnname = "xferanswered";
SET @columntype = "TINYINT(1)";
SET @columndefault = "NOT NULL DEFAULT '0'";
SET @aftercolumn = "xfername";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 1 FROM DUAL WHERE false",
  CONCAT("ALTER TABLE ", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;


SET @dbname = "statexplorer";
SET @tablename = "calls";
SET @columnname = "xferringtime";
SET @columntype = "INT";
SET @columndefault = "NOT NULL DEFAULT '0'";
SET @aftercolumn = "xferanswered";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 1 FROM DUAL WHERE false",
  CONCAT("ALTER TABLE ", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;


SET @dbname = "asterisk";
SET @tablename = "cel";
SET @columnname = "extra";
SET @columntype = "TEXT";
SET @columndefault = "NOT NULL";
SET @aftercolumn = "traite";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 1 FROM DUAL WHERE false",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;
