use statexplorer;

CREATE TABLE IF NOT EXISTS `autoexport` (
  `name` varchar(45) NOT NULL,
  `language` varchar(2) NOT NULL DEFAULT 'en',
  `plugins` text NOT NULL,
  `userid` int(11) NOT NULL DEFAULT '1',
  `filter` varchar(45) NOT NULL DEFAULT '',
  `type` varchar(10) NOT NULL DEFAULT 'html',
  `hour` varchar(20) NOT NULL DEFAULT '00:00',
  `days` varchar(45) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


SET @dbname = "statexplorer";
SET @tablename = "autoexport";
SET @columnname = "subject";
SET @type = "TEXT";
SET @after = "email";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 1 FROM DUAL WHERE false",
  CONCAT("ALTER TABLE ", @tablename, " ADD ", @columnname, " ", @type, " NOT NULL AFTER `", @after, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;

SET @dbname = "statexplorer";
SET @tablename = "autoexport";
SET @columnname = "body";
SET @type = "TEXT";
SET @after = "subject";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 1 FROM DUAL WHERE false",
  CONCAT("ALTER TABLE ", @tablename, " ADD ", @columnname, " ", @type, " NOT NULL AFTER `", @after, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;

ALTER TABLE `statexplorer`.`autoexport` 
CHANGE COLUMN `email` `email` TEXT NOT NULL ;

SET @dbname = "statexplorer";
SET @tablename = "calls";
SET @columnname = "pickup";
SET @type = "tinyint(1)";
SET @after = "recfile";
SET @nulldefault = "NOT NULL DEFAULT '0'";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 1 FROM DUAL WHERE false",
  CONCAT("ALTER TABLE ", @tablename, " ADD ", @columnname, " ", @type, " ", @nulldefault, " AFTER `", @after, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;


SET @dbname = "statexplorer";
SET @tablename = "calls";
SET @columnname = "pickedupphone";
SET @type = "VARCHAR(80)";
SET @after = "pickup";
SET @nulldefault = "NOT NULL DEFAULT ''";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 1 FROM DUAL WHERE false",
  CONCAT("ALTER TABLE ", @tablename, " ADD ", @columnname, " ", @type, " ", @nulldefault, " AFTER `", @after, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;

SET @dbname = "statexplorer";
SET @tablename = "calls";
SET @columnname = "tag";
SET @type = "VARCHAR(255)";
SET @after = "pickedupphone";
SET @nulldefault = "NOT NULL DEFAULT ''";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 1 FROM DUAL WHERE false",
  CONCAT("ALTER TABLE ", @tablename, " ADD ", @columnname, " ", @type, " ", @nulldefault, " AFTER `", @after, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;

INSERT INTO `statexplorer`.`settings` (`setting`, `value`) VALUES ('WORKING_HOUR_START', 0) ON DUPLICATE KEY UPDATE `setting`='WORKING_HOUR_START';
INSERT INTO `statexplorer`.`settings` (`setting`, `value`) VALUES ('WORKING_HOUR_END', 24) ON DUPLICATE KEY UPDATE `setting`='WORKING_HOUR_END';
