SET @dbname = "statexplorer";
SET @tablename = "debugdata";
SET @columnname = "date";
SET @type = "INT NOT NULL DEFAULT 0";
SET @after = "linkedid";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 1 FROM DUAL WHERE false",
  CONCAT("ALTER TABLE ",@dbname,".", @tablename, " ADD ", @columnname, " ", @type, " AFTER ", @after, ";")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;
