#!/bin/bash
PRODUCTNAME="statexplorer"
TMPDIR="/tmp/statexplorer"
INSTALLPATH="/usr/share/ombutel/www"
IPCDIR="/etc/ipconnect"
OLDVERSION=-1
NEWVERSION=-1
MAJORVERSION=3
. /etc/os-release
OS=$ID

## Copy this line ##
. $INSTALLPATH/$PRODUCTNAME/InstallScripts/include.sh
## end


mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

echo "-- Killing current analysis (if exists)"
systemctl stop statexplorer
rm -f /etc/cron.d/statexplorer
ps -ef | grep statexplorer/api/scripts | grep -v grep | awk '{print $2}' | xargs kill 2>/dev/null
rm -f /tmp/statlock

if [ $OS = "centos" ]
then
    # Package removal, not upgrade 
    echo "-- Removing StatExplorer from CPBX5 apps menu"
    php "$INSTALLPATH/InstallScripts/cpbx_statexplorer_removal.php"
fi


systemctl disable statexplorer
rm -rf /etc/systemd/system/statexplorer.service

$mysqlcmd -e "DROP SCHEMA statexplorer";
$mysqlcmd -e "DROP USER IF EXISTS statexplorer@'127.0.0.1',statexplorer@'localhost',statexplorer@'::1',statexplorer@'%';";

exit