#!/bin/bash

. /etc/os-release
OS=$ID
SCRIPTPATH="$( cd "$( dirname $(realpath $0) )" >/dev/null && pwd )"
TMPDIR="/tmp/statexplorer"
DBHOST=`cat /etc/cpbx/apply_patches.conf | grep "hostname" | cut -d '=' -f 2 | xargs`
DBUSER=`cat /etc/cpbx/apply_patches.conf | grep "username" | cut -d '=' -f 2 | xargs`
DBPASSWORD=`cat /etc/cpbx/apply_patches.conf | grep "password" | cut -d '=' -f 2 | xargs`
INSTALLPATH="/usr/share/ombutel/www/statexplorer"

# When using localhost, use root access
# because ombutel user does not have right to create new database.
if [ "$DBHOST" == "localhost" ]
then
	DBUSER='root'
	DBPASSWORD=''
fi

mysqlcmd=""
if [ "$DBPASSWORD" != "" ]
then
	mysqlcmd="mysql -h $DBHOST -u $DBUSER -p$DBPASSWORD"
else
	mysqlcmd="mysql -h $DBHOST -u $DBUSER"
fi