var msgbox = (() => {
    var public = {};
    
    /* PRIVATE SCOPE */
    var msgs = [];
    var maindiv = null;
    
    function MessageBox(name, colorclass, showloadingicon, content, iscloseable)
    {
        var that = this;
        this.Name = name;
        this.jqobject = null;
        this.ColorClass= colorclass;
        this.ShowLoadingIcon = showloadingicon;
        this.Content = content;
        this.IsCloseable = iscloseable;

        var html = "<div class='msgbox' data-name='" + name + "'> \
                        <i class='fa fa-times close-icon float-right'></i> \
                        <i class='fa fa-sync fa-refresh fa-spin iconloading'></i> <span class='msgboxcontent'></span> \
                    </div>";

        this.Init = function ()
        {
            that.jqobject = $.parseHTML(html);
            if (!that.ShowLoadingIcon)
                $(that.jqobject).find('.iconloading').hide();
            $(that.jqobject).addClass(that.ColorClass);
            if (that.Content !== "")
                $(that.jqobject).find('.msgboxcontent').html(that.Content);
            else
                $(that.jqobject).find('.msgboxcontent').html(that.name);
            if (!that.IsCloseable)
            {
                $(that.jqobject).find('.close-icon').hide();
            }
        };
    };
    
    function Rand(min,max)
    {
        return Math.floor(Math.random()*(max-min+1)+min);
    };
    
    
    /* PUBLIC SCOPE */
    
    public.SetDiv = function (div) {
        maindiv = div;
    };
    
    public.ShowMsgBox = function(colorclass, showloadingicon, content, hideafter, name, iscloseable)
    {
        if (name !== undefined && name !== "")
            public.HideMsgBoxByName(name);
        if (iscloseable === undefined || iscloseable === null)
            iscloseable = false;
        var msg = new MessageBox(name, colorclass, showloadingicon, content, iscloseable);
        msg.Init();
        msgs.push(msg);
        $(maindiv).append(msg.jqobject);
        if (hideafter > 0)
        {
            if (hideafter < 1000)
                hideafter = 1000;
            setTimeout(function ()
            {
                $(msg.jqobject).fadeOut(500, () => {
                    $(msg.jqobject).remove();
                    var index = msgs.indexOf(msg);
                    if (index > -1)
                        msgs.splice(index, 1);
                    public.ResetPositions();
                });
            }, hideafter-500);
        }
        if (iscloseable)
        {
            $(msg.jqobject).find('.close-icon').on('click', function ()
            {
                $(msg.jqobject).fadeOut(500, () => {
                    $(msg.jqobject).remove();
                    var index = msgs.indexOf(msg);
                    if (index > -1)
                        msgs.splice(index, 1);
                    public.ResetPositions();
                });
            });
        }
        
        public.ResetPositions();
    };
    
    
    
    public.ResetPositions = function ()
    {
        var pos = 0;
        for (var m of msgs)
        {
            $(m.jqobject).css("bottom", pos + "px");
            pos += $(m.jqobject).outerHeight();
        }
    };

    public.ShowMsgBoxInfo = function(showloadingicon, content, hideafter, name, iscloseable)
    {
        public.ShowMsgBox("msgboxinfo", showloadingicon, content, hideafter, name, iscloseable);
    };

    public.ShowMsgBoxDanger = function(showloadingicon, content, hideafter, name, iscloseable)
    {
        public.ShowMsgBox("msgboxdanger", showloadingicon, content, hideafter, name, iscloseable);
    };

    public.ShowMsgBoxWarning = function(showloadingicon, content, hideafter, name, iscloseable)
    {
        public.ShowMsgBox("msgboxwarning", showloadingicon, content, hideafter, name, iscloseable);
    };

    public.ShowMsgBoxSuccess = function(showloadingicon, content, hideafter, name, iscloseable)
    {
        public.ShowMsgBox("msgboxsuccess", showloadingicon, content, hideafter, name, iscloseable);
    };

    public.HideAllMsgBox = function()
    {
        for (var m of msgs)
        {
            $(m.jqobject).fadeOut(500, () => {
                $(m.jqobject).remove();
            });
        }
        msgs = [];
    };
    
    public.HideMsgBoxByName = function(name)
    {
        for (var i=0; i<msgs.length; i++)
        {
            if (msgs[i].Name === name)
            {
                var obj = msgs[i].jqobject;
                $(obj).fadeOut(500, () => {
                    $(obj).remove();
                    public.ResetPositions();
                });
                msgs.splice(i, 1);
            }
        }
    };
    
    
    return public;
})();