import fs from"fs";import{exec}from"child_process";import{exit}from"process";import fetch from"node-fetch";import JSZip from"jszip";import puppeteer from"puppeteer";import{Command}from"commander";process.env.NODE_TLS_REJECT_UNAUTHORIZED="0";const apiURL="http://localhost/api",statexplorerUrl="http://localhost/statexplorer";function getDateforFilename(){var e=new Date;return`${e.getFullYear()}${e.getMonth()}${e.getDate()}_${e.getHours()}${e.getMinutes()}${e.getSeconds()}`}function cleanFilename(e){return(e=e.replace(/\s+/gi,"-")).replace(/[^a-zA-Z0-9\-]/gi,"")}function logToConsole(e){var t=new Date,o=`${t.getFullYear()}-${t.getMonth()}-${t.getDate()} ${t.getHours()}:${t.getMinutes()}:${t.getSeconds()}`;console.log(`${o} ${e}`)}function errToConsole(e){var t=new Date,o=`${t.getFullYear()}-${t.getMonth()}-${t.getDate()} ${t.getHours()}:${t.getMinutes()}:${t.getSeconds()}`;console.error(`${o} ${e}`)}async function execAsync(e){return new Promise(((t,o)=>{exec(e,((e,n,a)=>{if(e)return console.error(`Unable to exec commande: ${a}`),void o(e);t(n)}))}))}async function getPageContentsWithPuppeteer(e,t){var o=null;try{logToConsole("Launching browser"),o=await puppeteer.launch({args:["--no-sandbox"],headless:!0}),logToConsole("Creating page");const a=await o.newPage();logToConsole("Loading initial page"),await a.goto(e),logToConsole("Loading results"),await a.waitForSelector("#export-finished",{timeout:18e5}),logToConsole(`Converting to ${t}`);var n=[];switch(t){case"pdf":n.push(await a.pdf({displayHeaderFooter:!1,printBackground:!0,format:"A4",landscape:!0,timeout:18e5}));break;case"csv":n=await a.evaluate((()=>Promise.resolve(window.csvs)));break;case"html":default:n.push(await a.content())}return logToConsole("Closing browser"),await o.close(),n}catch(e){errToConsole(e.message),o&&await o.close(),exit(1)}}async function getApiToken(){return new Promise((async(e,t)=>{try{var o=new URLSearchParams;o.append("key","2c86b708-35ea-48b5-8162-53e15d961293");var n=await fetch(`${apiURL}/authenticate`,{method:"POST",body:o});if(!n.ok)return errToConsole("Unable to get token"),void t(new Error("request failed"));var a=await n.json();if("success"===a.status)return void e(a.data.token);errToConsole(a.message),t(new Error(a.status))}catch(e){t(e)}}))}async function getMailFromAsync(){return new Promise((async(e,t)=>{try{var o=await getApiToken();logToConsole(`Got api token ${o}`);var n=new URLSearchParams;n.append("token",o),n.append("module","system_misc"),n.append("name","fromemail");var a=await fetch(`${apiURL}/get_setting`,{method:"POST",body:n});if(!a.ok)return errToConsole("Unable to get mail from"),void t(new Error("request failed"));var i=await a.json();if("success"===i.status)return void e(i.data);errToConsole(i.message),t(new Error(i.status))}catch(e){t(e)}}))}function storeAttachementsAsync(e,t,o){return new Promise((async n=>{const a=`${o}.zip`;fs.existsSync(a)&&fs.unlinkSync(a);var i=new JSZip;switch(logToConsole(`Generating ZIP file ${a}`),e){case"csv":for(var r of t){logToConsole(`Creating attachement ${l=`export_${cleanFilename(r.name)}.csv`}`),i.file(l,r.content)}break;case"html":case"pdf":default:for(var s=0;s<t.length;s++){var l;logToConsole(`Creating attachement ${l=`export_${s}.${e}`}`),i.file(l,t[s])}}i.generateNodeStream({type:"nodebuffer",streamFiles:!0}).pipe(fs.createWriteStream(a)).on("finish",(function(){n(a)}))}))}async function buildMailCommand(e,t,o,n,a){var i="";try{logToConsole(`Got mailfrom ${i=await getMailFromAsync()}`)}catch(e){errToConsole("Unable to get mail from. Using default.",JSON.stringify(e))}var r="";switch(e){case"debian":r=`echo "${a}" | mail ${""!==i?`-a "from: ${i}" -r "${i}"`:""} -A "${t}" -s "${n}" ${o.replace(/,/g," ").replace(/;/g," ")}`;break;default:r=`echo "${a}" | mailx ${""!==i?`-S "from=${i}" -r "${i}"`:""} -a "${t}" -s "${n}" ${o.replace(/,/g," ").replace(/;/g," ")}`}return r}async function exportAndMail(e,t,o,n,a,i,r,s){try{const l=await getPageContentsWithPuppeteer(t,n),p=await storeAttachementsAsync(n,l,`${a}/${i}`);if(""!==o){const t=await buildMailCommand(e,p,o,r,s);logToConsole(t);try{await execAsync(t),fs.unlinkSync(p),logToConsole("Done and sent to "+o),exit(0)}catch(e){logToConsole("Done, but failed to send file"),logToConsole(e),exit(1)}}else logToConsole(`Done, stored to ${p}`),exit(0)}catch(e){errToConsole(e.message),exit(1)}}const args=new Command;args.version("2.0").requiredOption("-d, --distro <name>","Distro name (centos/debian)").option("-l, --lang <code>","Language code (en_US, fr_FR, etc)","en_US").requiredOption("-p, --plugins <names>","Plugins to export, separated by a coma").option("-u, --userid <int>","User identifier, 1 for admin","1").requiredOption("-f, --filter <name>","Filter name to use").option("-e, --emails <recipient>","Email address to send this report. you can set more than 1 addreess, separated by a coma (,)","").option("-t, --filetype <type>","Kind of file to generate (csv, html, pdf). File will be zipped.","html").option("-n, --filename <name>","Path and name of zipped file","").option("-s, --subject <text>","Email subject","Statexplorer autoexport").option("-b, --body <text>","Email body","Please find your export in attachement. Thank you for using Statexplorer"),args.addHelpText("after",'\n\nIf you specify emails option, the generated file will be deleted after beeing sent. \nIf you don\'t specify emails option, the generate file will be kept indefinitely. \nExtensions ".zip" will be automatically added to filename. you should NOT add it manually. \nBy default, generated file will be named statexplorer_autoexport_YYYYMMDD_HHmmss.zip (stored in /tmp if filepath is not set) where YYYYMMDD_HHmmss is the current date and time\n\n'),args.parse();const options=args.opts();logToConsole(JSON.stringify(options,null,"  "));const distro=options.distro,lang=options.lang,plugins=JSON.stringify(options.plugins.split(",")),userid=options.userid,filter=options.filter,emails=options.emails,filetype=options.filetype;var filepath=options.filename.indexOf("/")>-1?options.filename.slice(0,options.filename.lastIndexOf("/")):"/tmp";logToConsole(`Export path detected: ${filepath}`);var filename=options.filename.indexOf("/")>-1?options.filename.slice(options.filename.lastIndexOf("/")+1):`statexplorer_autoexport_${getDateforFilename()}`;logToConsole(`Export name detected: ${filename}`),(""===filename.trim()||fs.existsSync(filename)&&fs.lstatSync(filename).isDirectory())&&logToConsole(`Filename changed to ${filename=`statexplorer_autoexport_${getDateforFilename()}`}`);const subject=options.subject,body=options.body,url=`${statexplorerUrl}/exporttopdf.php?lang=${lang}&plugins=${plugins}&userid=${userid}&filter=${filter}`;exportAndMail(distro,url,emails,filetype,filepath,filename,subject,body);
